org.apache.velocity.tools.config

## Class Configuration

- java.lang.Object
- - org.apache.velocity.tools.config.Configuration

All Implemented Interfaces:
  Comparable<Configuration>

Direct Known Subclasses:
  CompoundConfiguration, ToolConfiguration

    public class Configuration
    extends Object
    implements Comparable<Configuration>

This base configuration class manages a set of `Property`s for whatever thing the instance of this class represents. When combined with another `Configuration` instance via `addConfiguration(org.apache.velocity.tools.config.Configuration)`, the `Property`s of both instances are combined.

NOTE: Though this class appears `Comparable`, the `compareTo(org.apache.velocity.tools.config.Configuration)` method is unsupported. Proper comparison is left up to subclasses.

Version:
  $Id: Configuration.java 511959 2007-02-26 19:24:39Z nbubna $
Author:
  Nathan Bubna

### Constructor Summary

Constructors
Constructor and Description
`Configuration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguration(Configuration config)`
`void` `addProperty(Property property)`
`protected void` `appendProperties(StringBuilder out)`
`int` `compareTo(Configuration config)`
`boolean` `equals(Object obj)`
`SortedSet<Property>` `getProperties()`
`Property` `getProperty(String name)`
`Map<String,Object>` `getPropertyMap()`
`int` `hashCode()`
`boolean` `hasProperties()`
`boolean` `removeProperty(Property property)`
`boolean` `removeProperty(String name)`
`void` `setProperties(Collection<Property> props)`
`void` `setProperty(String name, Object value)`
`void` `setPropertyMap(Map<String,Object> props)`
`void` `validate()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Configuration

    public Configuration()

### Method Detail

#### addProperty

    public void addProperty(Property property)

#### removeProperty

    public boolean removeProperty(Property property)

#### setProperty

    public void setProperty(String name,
                            Object value)

#### removeProperty

    public boolean removeProperty(String name)

#### hasProperties

    public boolean hasProperties()

#### getProperty

    public Property getProperty(String name)

#### getProperties

    public SortedSet<Property> getProperties()

#### getPropertyMap

    public Map<String,Object> getPropertyMap()

#### setPropertyMap

    public void setPropertyMap(Map<String,Object> props)

#### setProperties

    public void setProperties(Collection<Property> props)

#### addConfiguration

    public void addConfiguration(Configuration config)

#### validate

    public void validate()

#### compareTo

    public int compareTo(Configuration config)

Specified by:
  `compareTo` in interface `Comparable<Configuration>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### appendProperties

    protected void appendProperties(StringBuilder out)